## mmssrc mmssrc |

## Properties

gchar * | location | Read / Write
guint64 | connection-speed | Read / Write

## Types and Values

struct | GstMMS

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstMMS

## Implemented Interfaces

GstMMS implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | mms
author | Maciej Katafiasz <mathrick@users.sourceforge.net>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | video/x-ms-asf

## Functions

## Types and Values

### struct GstMMS

    struct GstMMS;

## Property Details

### The `“location”` property

      “location”                 gchar *

Host URL to connect to. Accepted are mms://, mmsu://, mmst:// URL types.

Flags: Read / Write

Default value: NULL

### The `“connection-speed”` property

      “connection-speed”         guint64

Network connection speed in kbps (0 = unknown).

Flags: Read / Write

Allowed values: <= 2147483

Default value: 0